--- title: "registerOffline (Service)" slug: "dpgw-ig-registeroffline-service-5-12" updated: 2026-01-14T12:09:43Z published: 2026-01-14T17:11:00Z canonical: "docs.onespan.com/dpgw-ig-registeroffline-service-5-12" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # registerOffline (Service) > This command is deprecated! Use [MdlRegister (service) [v2]](/sec/docs/dpgw-ig-mdlregister-service-v2-5-12) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The registerOffline service performs a provisioning registration operation by generating Activation Message 1 for a specific user. ## URL https://dpgateway_host:dpgateway_port/registerOffline ## Request Parameters to the service are passed via the URI query component. | registerOffline parameters | | --- | | Parameter name | Data type | Description | | email | String | Required. The email address of the user. | | password | String | Required. The static password of the user. | ### Example POST https://192.0.2.1:11080/registerOffline?email=jane.doe@myDomain.com&password=myPassword ## Response The service returns an XML response message containing the result. | registerOffline return values | | --- | | Return value | Description | | //DIGIPASSGateway/@crontoImage | The generated registration activation data. | | //DIGIPASSGateway/@message | The status message. | | //DIGIPASSGateway/@registrationID | The unique identifier of a user for a given activation process. | | //DIGIPASSGateway/@retCode | The return code of the operation. | ### Example ```xml ```